#include <avr/io.h> 
#include <avr/interrupt.h> 

int main (void)  { 
    DDRB |= (1 << 0); //Set right led as output 
    DDRB |= (1 << 1); //Set left led as output 

    // Set ADC presc- 125KHz sample rate @ 16MHz 
    ADCSRA |= (1 << ADPS2) | (1 << ADPS1) | (1 << ADPS0); 

    ADMUX =(1<<REFS1)|(1<<REFS0)|3; //set adc - channel 3 
    ADMUX |=(1<<ADLAR); //left adjust ADC-8 bit reading 

    //Auto Triggering of the ADC is enabled. 
    ADCSRA |= (1 << ADATE); 

    ADCSRA |= (1 << ADEN); //Bit 7 ADEN: ADC Enable 
    ADCSRA |= (1 << ADSC); // Start A2D Conversions 


    // Set up RS232
    unsigned char i=0;
    CKCON=0x00;   //12 Clock Per Machine Cycle
    /*------------------------------------------------
    Setup the serial port for 1200 baud at 16MHz.
    ------------------------------------------------*/
    SCON  = 0x50;          /* SCON: mode 1, 8-bit UART, enable rcvr      */
    TMOD |= 0x20;               /* TMOD: timer 1, mode 2, 8-bit reload        */
    TH1   = 248;                /* TH1:  reload value for 9600 baud @ 16MHz   */
    TR1   = 1;                  /* TR1:  timer 1 run                          */
    TI    = 1;                  /* TI:   set TI to send first char of UART    */
    for(;;) { // Loop forever

        printf("Value %d\n", ADCH);
        if(ADCH<128) { 
            PORTB |=(1<<0); //Set right led on -PB0- 
            PORTB &= ~(1<<1); //turn off left led 
        } else { 
            PORTB |=(1<<1); //set left led on -PB1- 
            PORTB &= ~(1<<0); //turn off right led 
        } 

    } 
   

} 
