from python_vrpn import vrpn_Tracker
import mathutils

class Tracker:
    def __init__(self, leftObject, rightObject=None, scaling=100.0):
        self.scaling = scaling
        self.leftObject = leftObject
        self.rightObject = rightObject
        print(leftObject)
        print(rightObject)
        if self.leftObject:
            self.leftObject.rotation_mode = "QUATERNION"
        if self.rightObject:
            self.rightObject.rotation_mode = "QUATERNION"
        self.vrpn_tracker = vrpn_Tracker.vrpn_Tracker_Remote("Tracker0@localhost")
        vrpn_Tracker.register_tracker_change_handler(self.handle_tracker)
        vrpn_Tracker.vrpn_Tracker_Remote.register_change_handler(self.vrpn_tracker,None,vrpn_Tracker.get_tracker_change_handler())
        self.leftQuat = mathutils.Quaternion()
        self.rightQuat = mathutils.Quaternion()
        self.leftPos = mathutils.Vector()
        self.rightPos = mathutils.Vector()
    def handle_tracker(self,userdata,t):
        if t[0] == 0:
            self.leftPos = mathutils.Vector((t[3], t[2], -t[1]))
            self.leftQuat = mathutils.Quaternion((t[4], t[5], t[6]), t[7])
        elif t[0] == 1:
            self.rightPos = mathutils.Vector((t[3], t[2], -t[1]))
            self.rightQuat = mathutils.Quaternion((t[4], t[5], t[6]), t[7])
        if self.leftObject:
            self.leftObject.location = self.leftPos*self.scaling
            self.leftObject.rotation_quaternion = self.leftQuat
        if self.rightObject:
            self.rightObject.location = self.rightPos*self.scaling
            self.rightObject.rotation_quaternion = self.rightQuat
    def update(self):
        self.vrpn_tracker.mainloop()
        

    
    
    
